Tryton - Issues

 

Issue7250

Title Invalid language tag on sum widget
Priority bug Status resolved
Superseder Nosy List ced, perilla, reviewbot, roundup-bot
Type crash Components sao
Assigned To ced Keywords review
Reviews 36061002
View: 36061002

Created on 2018-03-22.23:03:26 by perilla, last changed by roundup-bot.

Files
File name Uploaded Type Edit Remove
get_lang.png perilla, 2018-03-22.23:03:25 image/png
Messages
New changeset 43ecf46e5d29 by C├ędric Krier in branch 'default':
Add BC47 transformer and use it for toLocaleString and lang attribute
http://hg.tryton.org/sao/rev/43ecf46e5d29
review36061002 updated at https://codereview.tryton.org/36061002/#ps40001
msg39436 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-27.00:43:23
Instead of having a method that return the current code in BC47, it will be better to have just a method to transform Tryton code into BC47 because spell attribute can use a different language than the global locale.
review36061002 updated at https://codereview.tryton.org/36061002/#ps20001
msg39267 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-23.15:20:24
Spellcheck should also be fixed, see issue6889
New review36061002 at https://codereview.tryton.org/36061002/#ps1
msg39239 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-22.23:17:51
OK, I see. Indeed it should use the same call as Sao.field.Float.get_client
msg39238 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-22.23:13:42
I do not see the link with sum widget.
msg39237 (view) Author: [hidden] (perilla) Date: 2018-03-22.23:03:25
Since changeset 5a4d06d28a1e sum widget are added to list views,
but when user have a derivative language congirured ex: es_419
getlang method return es_419 but browser expects es-419.



I think that we need to do a replace('_', '-') on getlang
History
Date User Action Args
2018-03-29 20:19:03roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg39548
2018-03-27 01:09:02reviewbotsetmessages: + msg39439
2018-03-27 00:43:24cedsetstatus: chatting -> testing
assignedto: ced
type: crash
messages: + msg39436
2018-03-23 16:47:15reviewbotsetmessages: + msg39278
2018-03-23 15:20:24cedsetmessages: + msg39267
2018-03-23 15:20:10cedlinkissue6889 superseder
2018-03-22 23:23:17reviewbotsetnosy: + reviewbot
messages: + msg39241
2018-03-22 23:23:16reviewbotsetreviews: 36061002
keyword: + review
2018-03-22 23:17:52cedsetmessages: + msg39239
2018-03-22 23:13:42cedsetstatus: unread -> chatting
nosy: + ced
messages: + msg39238

Showing 10 items. Show all history (warning: this could be VERY long)